Skip to main content
POST
/
investments
/
orders
curl --request POST \
  --url https://{host}/investments/orders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-user-id: <x-user-id>' \
  --data '
{
  "side": "buy",
  "isin": "US0378331005",
  "amount": 25.5
}
'
{
  "id": "64f5b3137fb3fc001234abce",
  "isin": "US0378331005",
  "side": "Buy",
  "status": "Pending",
  "quantity": 1.5,
  "executionWindow": {
    "type": "real-time",
    "expectedExecutionDate": "2024-07-12"
  },
  "consideration": {
    "currency": "EUR",
    "amount": 2550
  },
  "fees": {
    "realtimeExecution": {
      "currency": "EUR",
      "amount": 0
    }
  },
  "createdAt": "2024-07-12T10:30:00Z",
  "settledAt": "2024-07-12T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Auth0-issued access token that includes the scopes listed for the endpoint.

Headers

x-user-id
string
required

User identifier for the M2M client to specify which user's data to access.

Pattern: ^[a-f0-9]{24}$

Body

application/json
side
enum<string>
required

Trade direction for the order.

Available options:
buy,
sell
isin
string
required

ISIN of the asset to trade.

Pattern: ^[A-Z]{2}[A-Z0-9]{9}[0-9]$
amount
number<double>

Required when side is buy. Whole-currency amount to invest.

quantity
number<double>

Required when side is sell. Number of asset units to sell.

executeEtfOrdersInRealtime
boolean

Optional override for ETF instruments. Only users flagged for real-time execution can set this to true. Selling ETFs as aggregated orders is rejected for real-time-enabled users.

Response

Order created successfully.

Order information including execution details and fees

id
string
required
isin
string
required
side
enum<string>
required
Available options:
Buy,
Sell
status
enum<string>
required
Available options:
Pending,
Matched,
Settled,
Rejected,
Cancelled
quantity
number<double>

Asset units (may be null for pending buy orders)

executionWindow
object

Execution timing communicated to the client.

consideration
object
fees
object

Wealthyhood fees on orders and settled transactions (commission, FX, and real-time execution when applicable).

partnerFees
object

ETE/NBG countervalue fees charged to partner users (sibling of Wealthyhood fees)

createdAt
string<date-time>

Timestamp when the order was created (optional)

settledAt
string<date-time> | null

ISO datetime when the order settled or is expected to settle

filledAt
string<date-time> | null

ISO datetime when order was matched

unitPrice
object

Price per unit in major units (e.g. 200.00 for €200.00).

fxRate
object

Exchange rate used